Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.remoting
Class MergeMetaDataInterceptor

    java.lang.Object
      org.jboss.aspects.remoting.MergeMetaDataInterceptor

All Implemented Interfaces:
  org.jboss.aop.advice.Interceptor, Serializable

public class MergeMetaDataInterceptor
extends Object
implements org.jboss.aop.advice.Interceptor, Serializable

Prepare Metadata to be marshalled across the wire. This interceptor iterates through an Invocation's metadata resolver list to pull out transportable metadata and stuff it into the invocation

Version:
  $Revision: 1.2.2.6 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`static MergeMetaDataInterceptor` | `singleton`

Constructor Summary
`MergeMetaDataInterceptor()`

Method Summary
`String` | `getName()`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)`
`protected org.jboss.aop.metadata.SimpleMetaData` | `merge(org.jboss.aop.joinpoint.Invocation invocation, org.jboss.aop.metadata.MetaDataResolver resolver, org.jboss.aop.metadata.SimpleMetaData merged)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleton

    public static final MergeMetaDataInterceptor singleton

Constructor Detail

### MergeMetaDataInterceptor

    public MergeMetaDataInterceptor()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

### merge

    protected org.jboss.aop.metadata.SimpleMetaData merge(org.jboss.aop.joinpoint.Invocation invocation,
                                                          org.jboss.aop.metadata.MetaDataResolver resolver,
                                                          org.jboss.aop.metadata.SimpleMetaData merged)

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.jboss.aop.advice.Interceptor`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.